## emacs-bash-completion 3.1.0

=== Makefile ===
CASK ?= cask
EMACS ?= emacs
BASH ?= bash
BASH_COMPLETION_RC ?= /etc/bash_completion

setup_bash=test/.set-bash-prog.el

all: test
.PHONY: all

test: clean-elc
	${MAKE} ert
	${MAKE} compile
	${MAKE} ert
	${MAKE} clean-elc
.PHONY: test

unit:
	${CASK} exec ert-runner  test/bash-completion-test.el
.PHONY: unit

integration: setup_bash
	${CASK} exec ert-runner -l $(setup_bash) -p integration test/bash-completion-integration-test.el
.PHONY: integration

ert: setup_bash
	${CASK} exec ert-runner -l $(setup_bash)
.PHONY: ert

compile:
	${CASK} build
.PHONY: compile

clean-elc:
	${CASK} clean-elc
.PHONY: clean-elc

setup_bash:
	@echo '(setq bash-completion-prog "${BASH}")' >$(setup_bash)
	@echo '(setq bash-completion_test-setup-completion "${BASH_COMPLETION_RC}")' >>$(setup_bash)
.PHONY: setup_bash

=== debian/changelog ===
emacs-bash-completion (3.1.0-2) unstable; urgency=medium

  * add Rules-Requires-Root=no

 -- Martin <debacle@debian.org>  Sat, 21 Aug 2021 22:54:03 +0000

emacs-bash-completion (3.1.0-1) unstable; urgency=medium

  * Initial package (Closes: #991607)

 -- Martin <debacle@debian.org>  Sat, 14 Aug 2021 23:36:14 +0000

=== debian/control ===
Source: emacs-bash-completion
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-elpa,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/szermatt/emacs-bash-completion
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-bash-completion.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-bash-completion

Package: elpa-bash-completion
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
Recommends: emacs,
	elpa-projectile,
Enhances: emacs
Description: add programmable bash completion to Emacs shell-mode
 bash-completion.el defines dynamic completion hooks for shell-mode and
 shell-command prompts that is based on bash completion.
 .
 Bash completion for Emacs:
 .
  * is aware of bash builtins, aliases and functions
  * does file expansion inside of colon-separated variables and after
    redirections (> or <)
  * escapes special characters when expanding file names
  * is configurable through programmable bash completion
  * works on remote shells, through TRAMP.

## emacs-bash-completion 3.2

=== debian/changelog ===
emacs-bash-completion (3.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Arto Jantunen <viiru@debian.org>  Sat, 16 Aug 2025 08:08:55 +0300

emacs-bash-completion (3.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * Bump Standards-Version to 4.7.2, no changes.
  * Add debian/watch file.
  * Recommend bash-completion.

 -- Arto Jantunen <viiru@debian.org>  Mon, 30 Jun 2025 09:45:54 +0300

emacs-bash-completion (3.1.0-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:11:34 +0900

emacs-bash-completion (3.1.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:37:35 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	dh-elpa,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/szermatt/emacs-bash-completion
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-bash-completion.git
@@ -17,6 +17,7 @@
 	${misc:Depends},
 Recommends: emacs,
 	elpa-projectile,
+        bash-completion,
 Enhances: emacs
 Description: add programmable bash completion to Emacs shell-mode
  bash-completion.el defines dynamic completion hooks for shell-mode and

=== debian/rules ===
#!/usr/bin/make -f

ELPA_NAME=bash-completion
export ELPA_NAME

%:
	dh $@ --with elpa

override_dh_auto_build:

override_dh_elpa_test:

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/szermatt/emacs-bash-completion/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
